<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * content.php
 * Version 1.0.0	2011-06-16
 * 
 */


/**
 * 
 * Die Klasse Content stellt den Seiteninhalt entsprechend 
 * des dem Konstruktor übergebenen Seiteindex ($id) zusammen.
 * 
 */
class Content
{	
	//	Attribute deklarieren
	private $id;		//	Seitenindex
	private $content;	//	Seiteninhalt

	

	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;		//	Seitenindex übergeben
		$this->setContent();	//	Seiteinhalt zusammenstellen
		
	}

	
	
	/**
	 * 
	 * Die Methode setConetent stellt den Seiteninhalt 
	 * entsprechend des Seitenindex zusammen. 
	 *  
	 */
	private function setContent()
	{
		$this->content = $this->getStartseite();
		switch($this->id)
		{
			case 1	:	$this->content = $this->getNews();  	break;
			case 2	:	$this->content = $this->getSBS();   	break;
			case 3	:	$this->content = $this->getSBDM();  	break;
			case 4	:	$this->content = $this->getSBDJ();  	break;
			case 5	:	$this->content = $this->getLS();    	break;
			case 6	:	$this->content = $this->getNWS();   	break;
			case 7	:	$this->content = $this->getExtra(); 	break;
			case 8	:	$this->content = $this->getImpressum(); break;
		}
	}

	
	
	/**
	 * 
	 * Die Methode getContent gibt den Seiteninhalt zurück.
	 *  
	 */
	public function getContent() { return $this->content; }
	
	
	
	/**
	 * 
	 * Die Methode getStartseite stellt den Seiteninhalt 
	 * der Startseite zusammen und gibt diesen zurück.
	 *  
	 */
	private function getStartseite()
	{
		include('./includes/startseite.php');	
		return $content;
	}
	
	
	
	/**
	 * 
	 * Die Methode getNews stellt den Seiteninhalt 
	 * der Seite Neuigkeiten zusammen und gibt diesen zurück.
	 *  
	 */
		private function getNews()
	{
		include('./includes/news.php');
		return $content;
	}
	
	

	/**
	 * 
	 * Die Methode getSBS stellt den Seiteninhalt 
	 * der Seite SBS zusammen und gibt diesen zurück.
	 *  
	 */
		private function getSBS()
	{
		include("./includes/sbs.php");
		return $content;
	}
		

	
	/**
	 * 
	 * Die Methode getSBDM stellt den Seiteninhalt 
	 * der Seite SBDM zusammen und gibt diesen zurück.
	 * 
	 * Dabei wird geprüft ob eine Abstimmung stattfgefunden 
	 * hat oder ein Abstimmungsergebnis gesendet werden soll. 
	 * 
	 *  Liegt keiner der oben genannten Fälle vor, so
	 *  wird das Abstimmungsformular ausgegeben.
	 *  
	 */
	private function getSBDM()
	{
		if(isset($_POST['sbdm_abstimmen_button']))
			include('./includes/sbdm_auswerten.php');
		else if (isset($_POST['senden']))
			include('./includes/sbdm_senden.php');
		else
			include('./includes/sbdm.php');
		return $content;
	}

	
	
	/**
	 * 
	 * Die Methode getSBDJ stellt den Seiteninhalt 
	 * der Seite SBDJ zusammen und gibt diesen zurück.
	 *  
	 */
		private function getSBDJ()
	{
		include('./includes/sbdj.php');
		return $content;
	}

	
	
	/**
	 * 
	 * Die Methode getLS stellt den Seiteninhalt 
	 * der Seite Little Susie zusammen und gibt diesen zurück.
	 *  
	 */
		private function getLS()
	{
		include('./includes/susie.php');
		return $content;
	}		

	
	
	/**
	 * 
	 * Die Methode getNWS stellt den Seiteninhalt 
	 * der Seite Nationenwettstreit zusammen und 
	 * gibt diesen zurück.
	 *  
	 */
		private function getNWS()
	{
		include("./includes/nws.php");
		return $content;
	}

	
	
	/**
	 * 
	 * Die Methode getExtra stellt den Seiteninhalt 
	 * der Seite Extra zusammen und gibt diesen zurück.
	 *  
	 */
		private function getExtra()
	{
		include('./includes/extra.php');
		return $content;
	}		

	
	
	/**
	 * 
	 * Die Methode getImpressum stellt den Seiteninhalt 
	 * der Seite Impressum zusammen und gibt diesen zurück.
	 *  
	 */
	private function getImpressum()
	{
		include("./includes/impressum.php");
		return $content;
	}		
}
	 
?>