<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * css.php
 * Version 1.0.0	2011-06-16
 * 
 */


/**
 * 
 * Die Klasse CSS stellt, anhand des dem Konstruktor
 * übergebenen Parameters $id (Seitenindex), die
 * einzubindenden css-Dateien zusammen und stellt diese
 * über die Methode getCSS zur Verfügung.  
 * 
 */
class CSS
{	
	//	Attribute deklarieren
	private $id;	//	Seitenindex
	private $css;	//	css-Dateien zur direkten Übernahme in den head-Bereich

	
	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;	//	Seitenindex übergeben
		$this->setCSS();	//	css-Dateien zusammenstellen
		
	}

	
	
	/**
	 * 
	 * Die Methode setCSS ermittelt anhand des Seitenindex
	 * die einzubindenden css-Dateien und speichert diese
	 * zur direkten Einbindung in den head-Bereich im
	 * Attribut css ab. 
	 *  
	 */
	private function setCSS()
	{
		//	Standard cc-Dateien zusammenstellen
		$css = '
			<link href="./css/style.css" rel="stylesheet" type="text/css" />
			<link href="./css/nav.css" rel="stylesheet" type="text/css" />
			<link href="./css/sava.css" rel="stylesheet" type="text/css" />
		';
		
		//	Seitenspezifische css-Dateien zusammenstellen
		switch($this->id)
		{
			case 0	:	$css .= '<link href="./css/startseite.css" rel="stylesheet" type="text/css" />'; break;
			case 1	:	$css .= '<link href="./css/news.css" rel="stylesheet" type="text/css" />'; break;
			case 2	:	$css .= '<link href="./css/sbs.css" rel="stylesheet" type="text/css" />'; break;
			case 3	:	$css .= '<link href="./css/sbdm.css" rel="stylesheet" type="text/css" />'; break;
			case 4	:	$css .= '<link href="./css/sbdj.css" rel="stylesheet" type="text/css" />'; break;
			case 5	:	$css .= '<link href="./css/susie.css" rel="stylesheet" type="text/css" />'; break;
			case 6	:	$css .= '<link href="./css/nws.css" rel="stylesheet" type="text/css" />'; break;
			case 7	:	$css .= '<link href="./css/extra.css" rel="stylesheet" type="text/css" />'; break;
			case 8	:	$css .= ""; break;
		}
		$this->css = $css;
	}

	
	
	/**
	 *
	 * Die Methode getCSS gibt die im Attribut gespeicherten 
	 * css-Dateien so aus, dass diese Ausgabe direkt in den ghead-Bereich 
	 * übernommen werden kann.
	 * 
 	 */
	public function getCSS() { return $this->css; }

}
	 
?>