<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * js.php
 * Version 1.0.0	2011-06-16
 * 
 */



/**
 * 
 * Die Klasse JS stellt, anhand des dem Konstruktor
 * übergebenen Parameters $id (Seitenindex), die
 * einzubindenden Javascript-Dateien zusammen und stellt diese
 * über die Methode getJS zur Verfügung.  
 * 
 */
class JS
{	
	//	Attribute deklarieren
	private $id;	//	Seitenindex
	private $js;	//	Javascript-Dateien zur direkten Übernahme in den head-Bereich

	
	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;	//	Seitenindex übergeben
		$this->setJS();		//	Javascript-Dateien zusammenstellen
	}

	
	
	/**
	 * 
	 * Die Methode setJS ermittelt anhand des Seitenindex
	 * die einzubindenden Javascript-Dateien und speichert 
	 * diese zur direkten Einbindung in den head-Bereich im
	 * Attribut js ab. 
	 *  
	 */
		private function setJS()
	{
		//	Standard-Javascript-Dateien einbinden
		$js = '<script src="./js/sava.js" type="text/javascript"></script>';
		
		//	Seitenspezifische Javascript-Dateien einbinden
		switch($this->id)
		{
			case 0	:	$js .= ''; break;
			case 1	:	$js .= ''; break;
			case 2	:	$js .= ''; break;
			case 3	:	$js .= '<script src="./js/sbdm.js" type="text/javascript"></script>'; break;
			case 4	:	$js .= ''; break;
			case 5	:	$js .= ''; break;
			case 6	:	$js .= ''; break;
			case 7	:	$js .= ''; break;
			case 8	:	$js .= ''; break;
		}
		$this->js = $js;
	}

	
	
	/**
	 *
	 * Die Methode getJS gibt die im Attribut gespeicherten 
	 * Javascript-Dateien so aus, dass diese Ausgabe direkt 
	 * in den head-Bereich übernommen werden kann.
	 * 
 	 */
		public function getJS() { return $this->js; }

}
	 
?>