<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * nav.php
 * Version 1.0.0	2011-06-16
 * 
 */



/**
 * 
 * Die Klasse Nav stellt die Navigationsleiste auf der
 * linken Seite der Seite zusammen und stellt dabei
 * die Darzustellenden Bilder für die Links zusammen.
 * Die aktive Seite wird dabei über den Seitenindex 
 * ermittelt, welcher dem Konstruktor über den 
 * Parameter $id übergeben wird.
 * 
 */
class Nav
{

	//	Attribute deklarieren
	private $id;	//	Seitenindex
	private $nav;	//	beinhaltet die Navigationsleiste zur direkten Ausgabe 
	

	
	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;	//	Seitenindex übergeben
		$this->setNav();	//	Navigationsleiste zusammenstellen
	}
	
	
	
	/**
	 * 
	 * Die Methode setNav stellt die Navigationsleiste zusammen und
	 * speichert diese im Attribut nav ab. Dabei wird zwischen
	 * aktiver und nicht aktiver Seite unterschieden und entsprechend
	 * ein Link gesetzt oder nicht bzw. das entsprechende Bild
	 * für die Schaltflächje gesetzt. 
	 * 
	 */
	private function setNav()
	{
		$nav = '<nav id="nav">';

		if ($this->id == 1)
		{
			$nav .= '<img src="./images/Button_4_Neuigkeiten.jpg" alt="Neuigkeiten" />';
		} else {	
			$nav .= '<a href="./index.php?id=1" title="Neuigkeiten">';
			$nav .= '<img src="./images/Button_1_Neuigkeiten.jpg" alt="Neuigkeiten" 
					onmouseover="this.src = \'./images/Button_2_Neuigkeiten.jpg\';"
					onmouseout="this.src = \'./images/Button_1_Neuigkeiten.jpg\';"
					onmousedown="this.src = \'./images/Button_3_Neuigkeiten.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
		
		if ($this->id == 2)
		{
			$nav .= '<img src="./images/Button_4_SBs.jpg" alt="SBS" />';
		} else {	
			$nav .= '<a href="./index.php?id=2" title="SBS">';
			$nav .= '<img src="./images/Button_1_SBs.jpg" alt="SBS" 
					onmouseover="this.src = \'./images/Button_2_SBs.jpg\';"
					onmouseout="this.src = \'./images/Button_1_SBs.jpg\';"
					onmousedown="this.src = \'./images/Button_3_SBs.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
			
		if ($this->id == 3)
		{
			$nav .= '<img src="./images/Button_4_SBdM.jpg" alt="SBDM" />';
		} else {	
			$nav .= '<a href="./index.php?id=3" title="Savacanaivabombs des Monats">';
			$nav .= '<img src="./images/Button_1_SBdM.jpg" alt="SBS" 
					onmouseover="this.src = \'./images/Button_2_SBdM.jpg\';"
					onmouseout="this.src = \'./images/Button_1_SBdM.jpg\';"
					onmousedown="this.src = \'./images/Button_3_SBdM.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
			
		if ($this->id == 4)
		{
			$nav .= '<img src="./images/Button_4_SBdJ.jpg" alt="SBDM" />';
		} else {	
			$nav .= '<a href="./index.php?id=4" title="Savacanaivabombs des Jahres">';
			$nav .= '<img src="./images/Button_1_SBdJ.jpg" alt="SBDJ" 
					onmouseover="this.src = \'./images/Button_2_SBdJ.jpg\';"
					onmouseout="this.src = \'./images/Button_1_SBdJ.jpg\';"
					onmousedown="this.src = \'./images/Button_3_SBdJ.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
			
		if ($this->id == 5)
		{
			$nav .= '<img src="./images/Button_4_LittleSusie.jpg" alt="TM" />';
		} else {	
			$nav .= '<a href="./index.php?id=5" title="Little Susie">';
			$nav .= '<img src="./images/Button_1_LittleSusie.jpg" alt="TM" 
					onmouseover="this.src = \'./images/Button_2_LittleSusie.jpg\';"
					onmouseout="this.src = \'./images/Button_1_LittleSusie.jpg\';"
					onmousedown="this.src = \'./images/Button_3_LittleSusie.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
		
		if ($this->id == 6)
		{
			$nav .= '<img src="./images/Button_4_NWS.jpg" alt="ZAP" />';
		} else {	
			$nav .= '<a href="./index.php?id=6" title="Nationenwettstreit">';
			$nav .= '<img src="./images/Button_1_NWS.jpg" alt="TM" 
					onmouseover="this.src = \'./images/Button_2_NWS.jpg\';"
					onmouseout="this.src = \'./images/Button_1_NWS.jpg\';"
					onmousedown="this.src = \'./images/Button_3_NWS.jpg\';"
		  		/>';
			$nav .= '</a>';
		}
		
		if ($this->id == 7)
		{
			$nav .= '<img src="./images/Button_4_Extra.jpg" alt="Extra" />';
		} else {		
			$nav .= '<a href="./index.php?id=7" title="Extra">';
			$nav .= '<img src="./images/Button_1_Extra.jpg" alt="Extra" 
					onmouseover="this.src = \'./images/Button_2_Extra.jpg\';"
					onmouseout="this.src = \'./images/Button_1_Extra.jpg\';"
					onmousedown="this.src = \'./images/Button_3_Extra.jpg\';"
			  	/>';
			$nav .= '</a>';
		}

		$nav .= '</nav>';

		$this->nav = $nav;
	}
	
	
	
	/**
	 * 
	 * Die MEthode getNav gibt die Navigationsleiste zurück.
	 * 
	 */
	public function getNav() { return $this->nav; }
}

?>

