<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * sava.php
 * Version 1.0.0	2011-06-16
 * 
 */



/**
 * 
 * Die Klasse sava stellt, anhand des an den Konstruktor übergebenen Parameter id, 
 * den HTML Code der entsprechenden angeforderten Seite zusammen. Über die Methode
 * show kann diese Seite ausgegeben werden.
 * 
 */
class sava
{
	// Attribute deklarieren
	private $id;		//	Seitenindex
	private $title;		//	Seitentitel
	private $css;		//	einzubindende css-Dateien
	private $js;		//	einzubindende Javascript-Dateien
	private $nav;		//	Navigationsleiste		
	private $content;	//	Seiteninhalt

	

	//	Konstruktor
	public function __construct($id)
	{
		$this->id = $id;	//	Seitenindex übergeben
		$this->getSite();	//	Seite zusammenstellen und damit alle weiteren Attribute mit entsprechenden Werten setzen
	}
	
	
	
	/**
	 * Die Methode getSite stellt den gesamten Inhalt der 
	 * angeforderten Seite zusammen und speichert diese
	 * als Instanzen der jeweiligen Klassen in den entsprechenden
	 * Attributen.
	 */
	private function getSite()
	{
		//	Seitentitel ermitteln
		require_once('./classes/title.php');
		$this->title = new Title($this->id);

		
		//	css ermitteln
		require_once('./classes/css.php');
		$this->css = new CSS($this->id);
		
		
		//	Javascript ermitteln
		require_once('./classes/js.php');
		$this->js = new JS($this->id);
		
		
		//	Seiteninhalt ermitteln
		require_once('./classes/content.php');
		$this->content = new Content($this->id);
		
		
		//	Navigationsleiste ermitteln
		require_once('./classes/nav.php');
		$this->nav = new Nav($this->id);
	}

	
	
	/**
	 * 
	 * Die Methode schow gibt die Seite aus.
	 * 
	 */
	public function show()
	{
		//	Seite ausgeben und dynamischen Inhalt einbinden
		echo '
			<!DOCTYPE HTML>
			<html>
			<head>
				<!--
					Fachhochschule Jena
					Internettechnologie - alternative Pruefungsleistung
					Juergen Doeffinger; Michael Goldbuch
					Version 1.0.0   2011-06-16
				-->
 				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />  
				<meta name="author" content="J&uuml;rgen D&ouml;ffinger, Michael Goldbuch" />
				<title>'.$this->title->getTitle().'</title>';
		echo $this->css->getCSS();
		echo $this->js->getJS();
		echo '
			</head>
			<body>
				<div id="outer">
					<div id="inner">
						<header id="header">
							<div id="header_left">
								<div id="header_left_logo">
									<img src="./images/header_left.jpg" alt="Logo links" />
								</div>
								<div id="header_seperator_left">
									<img src="./images/header_seperator.jpg" alt="Seperator" />
								</div>
							</div>
							<div id="header_banner">
								<img id="header_banner_image" src="./images/header_banner.jpg" alt="Banner" />
							</div>
							<div id="header_right">
								<img src="./images/header_seperator.jpg" alt="Seperator" />
								<img src="./images/header_right.jpg" alt="Logo rechts" />
							</div>
						</header>
						<div id="left_outer">
							<div id="left_inner">'.$this->nav->getNav().'</div>
						</div>
						<div id="main_outer">
							<section id="main_inner">'.$this->content->getContent().'</section>
						</div>
						<footer id="footer_outer">
								<div id="footer_inner">
									&copy; 2011 JD &amp; migo
									&nbsp;&nbsp;&nbsp;
									<a href="index.php?id=8" title="Impressum">Impressum</a>
								</div>
						</footer>
					</div>
				</div>
				<script type="text/javascript">scale();</script>		
			</body>
			</html>';
	}
}

?>