<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * nws.php
 * Version 1.0.0	2011-06-16
 * 
 * Die Datei nws.php stellt den Seiteninhalt der Seite Nationenwettstreit zusammen
 * und speichert diesen in der Variable $content. Die Datei wird beim Aufbau der
 * Seite Nationenwettstreit eingebunden. Sollte eine Abstimmung stattgefunden haben, 
 * so wird anstelle des Abstimmungsformulars das Abstimmungsergebnis angezeigt.
 * Wurde beim abstimmen ein Fehler entdeckt, so wird dieser und
 * das Formular angezeigt.
 * 
 */



//	Paramater nws prüfen und entsprechend Variable $nws setzen
$nws = 0; 
if (isset($_GET['nws'])) $nws = $_GET['nws'];
if (($nws < 0) || ($nws > 4)) $nws = 0;



//	Daten zum entsprechenden Video zusammenstellen
switch($nws)
{
	case 0	: $src   = "http://www.youtube.com/v/dxO2YjMjkJ8?version=3"; 
			  $alt   = "Call-In Shows vs. die katholische Kirche";
			  $img   = "./images/NWS_VS_1.jpg";
			  $width = "305";
			  break;

	case 1	: $src   = "http://www.youtube.com/v/7dULzGqttw4?version=3"; 
			  $alt   = "Weng Weng vs. Mr.T";
			  $img   = "./images/NWS_VS_2.jpg";
			  $width = "312";
			  break;
	
	case 2	: $src   = "http://www.youtube.com/v/R9JloNq-CwY?version=3"; 
			  $alt   = "Batman vs. ULTRA man";
			  $img   = "./images/NWS_VS_3.jpg";
			  $width = "363";
			  break;
	
	case 3	: $src   = "http://www.youtube.com/v/NEHKFRyORhY?version=3"; 
			  $alt   = "betrunkene Russen vs. k&auml;mpfende Inder";
			  $img   = "./images/NWS_VS_4.jpg";
			  $width = "390";
			  break;
	
	case 4	: $src   = "http://www.youtube.com/v/xf0KgpqGRnc?version=3"; 
			  $alt   = "USA vs. Japan";
			  $img   = "./images/NWS_VS_5.jpg";
			  $width = "366";
			  break;
}



//	Hauptinhalt zusammenstellen
$main_content = '';
$main_id = 0;
$show_form = true;
if (isset($_POST['nws_abstimmen_button'])) $main_id = 1;
if (isset($_POST['nws_ergebnis_button'])) $main_id = 2;
if ($main_id > 0)
{
	$show_form = false;
	if ($main_id == 1)
	{
		if (!isset($_POST['Abstimmung']))
		{
			$main_content .= '<div class="error"><p>Sie haben vergessen eine Auswahl f&uuml;r die Abstimmung zu treffen.</p></div>';
			$show_form = true;
		} else {
			$erg = array();
			if (file_exists('./includes/nws.csv'))
			{
				$fp = fopen('./includes/nws.csv' , 'r');
				if ($fp != false)
				{
					$new = array();
					while(!feof($fp))
					{
						$daten = fgetcsv($fp, 1000, ",");
						if ($daten != '') array_push($new,$daten);
					}
					$erg = $new;
					fclose($fp);
				} 
			} else {
				$erg = array(array(0,0),array(0,0),array(0,0),array(0,0),array(0,0));
			}
			$abstimmung = $_POST['Abstimmung'];
			if (($abstimmung >= 0) && ($abstimmung <= 1))
			{
				$val = $erg[$nws][$abstimmung] + 1;
				$erg[$nws][$abstimmung] = $val;
			}
			$show_form = false;
			$fp = fopen('./includes/nws.csv' , 'w');
			if ($fp != false) 
			{
				foreach ($erg as $fields) 
				{
    				fputcsv($fp, $fields);
				}
				fclose($fp);
				$main_content .= '<div class="info_ok"><p>Ihre Abstimmung wurde registriert.</p></div>';
			} else {
				$main_content .= '<div class="error"><p>Aufgrund eines internen Fehlers, konnte ihr Abstimmungsergebnis nicht registriert werden.</p></div>';			
			}
		}
	}
	if (!$show_form) 
	{
		if (file_exists('./includes/nws.csv'))
		{
			$fp = fopen('./includes/nws.csv' , 'r');
			if ($fp != false)
			{
				$new = array();
				while(!feof($fp))
				{
					$daten = fgetcsv($fp, 1000, ",");
					if ($daten != '') array_push($new,$daten);
				}
				$erg = $new;
				fclose($fp);
				$i = 0;
				$main_content .= '
					<div id="nws_ergebnis">
					<table>
				';
				foreach($erg as $fields)
				{
					$gesamt = $fields[0] + $fields[1];
					$d0 = $d1 = 50;
					if ($gesamt != 0)
					{ 
						$d0 = round(($fields[0] / $gesamt) * 100, 0);
						$d1 = round(($fields[1] / $gesamt) * 100, 0);
					}
					$dn0 = '';
					$dn1 = '';
					switch($i)
					{
						case 0	: $dn0  = "Call-In Shows";
			  					  $dn1  = "die katholische Kirche";
			  					  break;
			  					  
						case 1	: $dn0  = "Weng Weng";
			  					  $dn1  = "Mr.T";
			  					  break;
	
						case 2	: $dn0  = "Batman";
			  					  $dn1  = "ULTRA man";
			  					  break;
	
						case 3	: $dn0  = "betrunkene Russen";
			  					  $dn1  = "k&auml;mpfende Inder";
			  					  break;
	
						case 4	: $dn0  = "USA";
			  					  $dn1  = "Japan";
			  					  break;					
					}
					$main_content .= '
								<tr>
									<td>'.$dn0.'</td><td class="nws_table_left">'.$d0.' %</td><td class="nws_table_balken">
										<span class="balken_left" style="width:'.$d0.'%;">&nbsp;</span>
										<span class="balken_right" style="width:'.$d1.'%;">&nbsp;</span>
									</td><td class="nws_table_right">'.$d1.' %</td><td>'.$dn1.'</td>
								</tr>
					';
					$i++; 
				}
				$main_content .= '</table></div>';
			}	else {
				$main_content .= '<div class="error"><p>Die Datei mit den Abstimmungsergebnissen konnte nicht ge&ouml;ffnet werden, daher k&ouml;nnen die Abstimmungsergebnisse auch nicht angezeigt werden.</p></div>';
			} 
		} else {
				$main_content .= '<div class="error"><p>Aufgrund eines internen Fehlers, kann das Abstimmungsergebnis nicht angezeigt werden.</p></div>';			
		}
	}
} 



//	Soll das Formular angezeigt werden, dann diese entsprechend zusammenstellen.
if ($show_form) 
{
	$main_content .= '
		<div class="youtube_outer">
			<div class="youtube_inner">
				<object data="'.$src.'" type="application/x-shockwave-flash">
					<param name="movie" value="'.$src.'">
					<param name="allowFullScreen" value="true">
					<param name="allowScriptAccess" value="always">
					<embed 
						src="'.$src.'" 
						type="application/x-shockwave-flash" 
						allowfullscreen="true" 
						allowScriptAccess="always" 
					>
				</object>	
			</div>
		</div>
		<div id="nws_abstimmung" style="width:'.$width.'px;">
			<form method="post" action="index.php?id=6&amp;nws='.$nws.'">
				<table>
					<tr>
						<td><input type="radio" name="Abstimmung" value="0" /></td>
						<td><img src="'.$img.'" alt="'.$alt.'" style="height:40px;" /></td>
						<td><input type="radio" name="Abstimmung" value="1" /></td>
					</tr>
					<tr>
						<td colspan="3" class="center">
							<input class="submit_button" type="submit" title="Abstimmen" name="nws_abstimmen_button" value="Abstimmen" />
							<input class="submit_button" type="submit" title="Ergebnis der Abstimmung abrufen" name="nws_ergebnis_button" value="Ergebnis" />
						</td>
					</tr>
				</table>
			</form>
		</div>
	';
}



//  Navigationsleiste oben zusammenstellen
$nav ="";

if ($nws == 0)
{
	$nav .= '<img src="./images/Button_4_Duell1.jpg" alt="Duell 1" />';
} else {
	$nav .= '
		<a href="index.php?id=6&amp;nws=0" title="Duell 1">
			<img src="./images/Button_1_Duell1.jpg" alt="Duell 1" 
				onmouseover="this.src = \'./images/Button_2_Duell1.jpg\';"
				onmouseout="this.src = \'./images/Button_1_Duell1.jpg\';"
				onmousedown="this.src = \'./images/Button_3_Duell1.jpg\';"
		  	/>
		</a>
	';
}

if ($nws == 1)
{
	$nav .= '<img src="./images/Button_4_Duell2.jpg" alt="Duell 2" />';
} else {
	$nav .= '
		<a href="index.php?id=6&amp;nws=1" title="Duell 2">
			<img src="./images/Button_1_Duell2.jpg" alt="Duell 2" 
				onmouseover="this.src = \'./images/Button_2_Duell2.jpg\';"
				onmouseout="this.src = \'./images/Button_1_Duell2.jpg\';"
				onmousedown="this.src = \'./images/Button_3_Duell2.jpg\';"
		  	/>
		</a>
	';
}

if ($nws == 2)
{
	$nav .= '<img src="./images/Button_4_Duell3.jpg" alt="Duell 3" />';
} else {
	$nav .= '
		<a href="index.php?id=6&amp;nws=2" title="Duell 3">
			<img src="./images/Button_1_Duell3.jpg" alt="Duell 3" 
				onmouseover="this.src = \'./images/Button_2_Duell3.jpg\';"
				onmouseout="this.src = \'./images/Button_1_Duell3.jpg\';"
				onmousedown="this.src = \'./images/Button_3_Duell3.jpg\';"
		  	/>
		</a>
	';
}

if ($nws == 3)
{
	$nav .= '<img src="./images/Button_4_Duell4.jpg" alt="Duell 4" />';
} else {
	$nav .= '
		<a href="index.php?id=6&amp;nws=3" title="Duell 4">
			<img src="./images/Button_1_Duell4.jpg" alt="Duell 4" 
				onmouseover="this.src = \'./images/Button_2_Duell4.jpg\';"
				onmouseout="this.src = \'./images/Button_1_Duell4.jpg\';"
				onmousedown="this.src = \'./images/Button_3_Duell4.jpg\';"
		  	/>
		</a>
	';
}

if ($nws == 4)
{
	$nav .= '<img src="./images/Button_4_Duell5.jpg" alt="Duell 5" />';
} else {
	$nav .= '
		<a href="index.php?id=6&amp;nws=4" title="Duell 5">
			<img src="./images/Button_1_Duell5.jpg" alt="Duell 5" 
				onmouseover="this.src = \'./images/Button_2_Duell5.jpg\';"
				onmouseout="this.src = \'./images/Button_1_Duell5.jpg\';"
				onmousedown="this.src = \'./images/Button_3_Duell5.jpg\';"
		  	/>
		</a>
	';
}




//	Seiteninhalt zusammenstellen

$content = '

<article>
	<div>
		<img id="nws_banner" src="./images/NWS_Banner.jpg" alt="Banner Nationenwettstreit" />
	</div>
	<div id="nws_nav" style="text-align:center; padding-top:5px;">
	'.$nav.'
	</div>
	<div id="content">
		'.$main_content.'
	</div>
</article>

';

?>
