<?php 

/**
 * 
 * Fachhochschule Jena
 * Internettechnologie / APL
 * Jürgen Döffinger; Michael Goldbuch
 * 
 * sbdm.php
 * Version 1.0.0	2011-06-16
 * 
 * Die Datei sbdm_senden stellt den inhalt der E-Mail mit 
 * dem Abstimmungsergebnis zusammen und versendet diese.
 * War dies nicht erfolgreich so wird eine Fehlermeldung
 * generiert, ansonsten wird eine Meldung über den eerfolgten
 * Versandt bereitgestellt. Dies alles wird in der Variable
 * $content gespeichert. 
 * 
 */


//	Das Array mit den Fehlermeldungen deklarieren
$error = array();

//	Name prüfen
if (isset($_POST['name'])) 
{
	$name = htmlspecialchars($_POST['name']);
	if ($name == null) array_push($error,'Du hast vergressen deinen Namen anzugeben');
} else {
	array_push($error,'Du hast vergressen deinen Namen anzugeben');
}

// E-Mail prüfen
if(isset($_POST['email']))
{
	$email = htmlspecialchars($_POST['email']);
	$val   = explode('@',$email);
	if ((count($val) != 2) || (count(explode('.', $val[1])) < 1))
		array_push($error, 'Du hast eine nicht g&uuml;ltige E-Mail-Adresse angegeben.');
} else {
	array_push($error,'Du hast keine E-Mail-Adresse angegeben.');
} 	

//	Prüfen auf vollständige Abstimmungsdaten
$values = array();
for ($i=1; $i<14; $i++)
{
	if(!isset($_POST['Abstimmung'.$i]))
	{
		$error = array('Es gab ein Problem bei der &Uuml;bermittlung der Abstimmungsdaten.');
		break;
	} else {
		$val = htmlspecialchars($_POST['Abstimmung'.$i]);
		if ($val == 0) $val = "keine Platzierung vergeben";
		$values[$i] = $val;
	}
}

//	Weiter nur wenn kein Fehler Vorlag
if (count($error) < 1)
{
	//	E-Mail zusammenstellen
	$to = "Migo28@aol.com";
	$cc = "juergen@fsvoice.de";
	$subject = "SBDM Abstimmung";
	
	// 'Content-type'-Header festlegen
	$header  = 'MIME-Version: 1.0' . "\r\n";
	$header .= 'Content-type: text/html; charset=utf-8' . "\r\n";

	// zusätzliche Header
	$header .= 'To: Michael Goldbuch <Migo28@aol.com>, J&uuml;rgen D&ouml;ffinger <juergen@fsvoice.de>' . "\r\n";
	$header .= 'From: SAVACANAIVABOMBS <Migo28@aol.com>' . "\r\n";
	
	$message = '
		<html>
			<head>
				<title>SBDM Abstimmung</title>
			</head>
			<body>
				<p>Diese Nachricht wurde automatisch nach einer Abstimmung erstellt und versendet.</p>
				<p>
					Name: '.$name.'<br />
					E-Mail: '.$email.'
				</p>
				<p>
					Ergebnis:
					<br />
					<br />
					<table>
						<tr><th>Monat</th><th>Platzierung</th><tr>
						<tr><td>Januar:</td><td>'.$values[1].'</td></tr>
						<tr><td>Februar:</td><td>'.$values[2].'</td></tr>
						<tr><td>M&auml;rz:</td><td>'.$values[3].'</td></tr>
						<tr><td>April:</td><td>'.$values[4].'</td></tr>
						<tr><td>Mai (a):</td><td>'.$values[5].'</td></tr>
						<tr><td>Mai (b):</td><td>'.$values[6].'</td></tr>
						<tr><td>Juni:</td><td>'.$values[7].'</td></tr>
						<tr><td>Juli:</td><td>'.$values[8].'</td></tr>
						<tr><td>August:</td><td>'.$values[9].'</td></tr>
						<tr><td>September:</td><td>'.$values[10].'</td></tr>
						<tr><td>Oktober:</td><td>'.$values[11].'</td></tr>
						<tr><td>November:</td><td>'.$values[12].'</td></tr>
						<tr><td>Dezember:</td><td>'.$values[13].'</td></tr>
					</table>
				</p>
			</body>
		</html>
	';
	
	//	E-Mail senden
	mail($to.','.$cc, $subject, $message, $header);
	//mail($cc, $subject, $message, $header);
	
	//	Content zusammenstellen
	$content = '
		<div class="info_ok">
			<p>
				Deine Abstimmung wurde per E-Mail versandt und wird in den n&auml;chsten Tagen bearbeitet.
			</p>
		</div>
	';
	
} else {
	//	Content zusammenstellen für Ausgabe der Fehlermeldung(en).
	$content = '
		<div class="error">
			<p>
				Die Abstimmung konnte aufgrund folgender Fehler nicht versendet werden:
				<br />
				<br />
				';
	foreach($error as $fields)
	{
		$content .= $fields.'<br /><br />';
	}
	$content .= '				
			</p>
		</div>
	';
}

return $content;

?>